Turfgrass Disease Risk Forecast

## Turfgrass Disease Risk Forecast

Turfgrass Disease Risk Forecast

Returns a daily risk index (0-100) for six turfgrass diseases and weeds, up to 16 days ahead, along with the soil temperature series used by several of the underlying models. CONUS locations get higher-resolution data for days 0-1; days 2-16 everywhere use a global forecast.

Diseases and Weeds Covered

NameType
Dollar SpotFungal
Gray Leaf SpotFungal
Summer PatchFungal
Pythium BlightOomycete
GoosegrassWeed germination
CrabgrassWeed germination

Score Interpretation

Each score (0-100) represents daily disease or germination pressure. A value of 100 means conditions were highly favorable for the entire day.

Example Request

GET /agronomy/diseases/?lat=33.47&lon=-82.01
GET
/agronomy/diseases/

Authorization

Authorization<token>

Token-based authentication with required prefix "Token"

In: header

Query Parameters

lat*number

Latitude in decimal degrees (-90 to 90).

Formatfloat
lon*number

Longitude in decimal degrees (-180 to 180).

Formatfloat

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/agronomy/diseases/?lat=33.4735&lon=-82.0105"
{  "lat": 33.4735,  "lon": -82.0105,  "days": [    "2026-06-07",    "2026-06-08",    "2026-06-09"  ],  "dollar_spot": [    42,    38.5,    35  ],  "gray_leaf_spot": [    72,    68.5,    55  ],  "summer_patch": [    45,    50,    40  ],  "pythium_blight": [    30,    35,    20  ],  "goosegrass": [    80,    75,    60  ],  "crabgrass": [    100,    100,    50  ],  "soilt_avg": [    74.2,    75,    73.6  ],  "soilt_max": [    82.1,    83.4,    80.9  ],  "soilt_min": [    68,    69.2,    67.5  ],  "soilt_avg_5d_max": [    76.4,    76.4,    76.4  ],  "soilt_avg_5d_min": [    71.8,    71.8,    71.8  ]}

On this page